## ros-noetic-canopen-chain-node 0.8.5

=== debian/changelog ===
ros-noetic-canopen-chain-node (0.8.5-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-noetic-canopen-chain-node (0.8.4-1focal) focal; urgency=high

  * pass settings from ROS node to SocketCANInterface
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-noetic-canopen-chain-node (0.8.3-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: ahcorde

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 06 May 2020 22:00:00 -0000

ros-noetic-canopen-chain-node (0.8.2-1focal) focal; urgency=high

  * rename to logWarning to fix build on Debian stretch
  * log the result of all services in RosChain
  * enable rosconsole_bridge bindings
  * switch to new logging macros
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-noetic-canopen-chain-node (0.8.1-1focal) focal; urgency=high

  * Set C++ standard to c++14
  * implemented create*ListenerM helpers
  * Replacing FastDelegate with std::function and std::bind.
  * Contributors: Alexander Gutenkunst, Harsh Deshpande, Joshua Whitley, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-noetic-canopen-chain-node (0.8.0-1focal) focal; urgency=high

  * migrated to std::function and std::bind
  * make sync_node return proper error codes
  * refactored PublishFunc
  * migrated to std::atomic
  * migrated to std pointers
  * removed deprecated types
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 10 Jul 2018 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.8-1focal) focal; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.7-1focal) focal; urgency=high

  * added types for all function objects
  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * migrate to new classloader headers
  * address catkin_lint errors/warnings
  * removed IPC/SHM based sync masters
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.6-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.5-1focal) focal; urgency=high

  * added reset_errors_before_recover option
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.4-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.3-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.2-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-noetic-canopen-chain-node (0.7.1-1focal) focal; urgency=high

  * refactored EMCY handling into separate layer
  * do not reset thread for recover
  * properly stop run thread if init failed
  * deprecation warning for SHM-based master implementations
  * implemented canopen_sync_node
  * wait only if sync is disabled
  * added object access services
  * implement level-based object logging
  * added node name lookup
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-noetic-canopen-chain-node (0.7.0-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-canopen-chain-node (0.6.5-1focal) focal; urgency=high

  * protect MotorChain setup with RosChain lock
  * added include to <boost/scoped_ptr.hpp>; solving #177 <https://github.com/ipa-mdl/ros_canopen/issues/177>
  * default to canopen::SimpleMaster::Allocator (#71 <https://github.com/ipa-mdl/ros_canopen/issues/71>)
  * exit code for generic error should be 1, not -1
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * moved roslib include into source file
  * renamed chain_ros.h to ros_chain.h, fixes #126 <https://github.com/ipa-mdl/ros_canopen/issues/126>
  * Use of catkin_EXPORTED_TARGETS
    Install target for canopen_ros_chain
  * Splitted charn_ros.h into chain_ros.h and ros_chain.cpp
  * Revert "stop heartbeat after stack was shutdown"
    This reverts commit de985b5e9664edbbcc4f743fff3e2a2391e1bf8f.
  * improve failure handling in init service callback
  * improved excetion handling in init and recover callback
  * Merge pull request #109 <https://github.com/ipa-mdl/ros_canopen/issues/109> from ipa-mdl/shutdown-crashes
    Fix for pluginlib-related crashes on shutdown
  * catch std::exception instead of canopen::Exception (#110 <https://github.com/ipa-mdl/ros_canopen/issues/110>)
  * call to detroy is not needed anymore
  * added GuardedClassLoader implementation
  * minor shutdown improvements
  * Contributors: Mathias Lüdtke, Michael Stoll, xaedes

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-noetic-canopen-chain-node (0.6.4-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-noetic-canopen-chain-node (0.6.3-1focal) focal; urgency=high

  * added motor_layer settings

