=== debian/control ===
Source: ros-noetic-canopen-chain-node
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-canopen-master, ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-message-generation, ros-noetic-pluginlib, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-socketcan-interface, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: http://wiki.ros.org/canopen_chain_node
Standards-Version: 3.9.2

Package: ros-noetic-canopen-chain-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-canopen-master, ros-noetic-diagnostic-updater, ros-noetic-message-runtime, ros-noetic-pluginlib, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-socketcan-interface, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: Base implementation for CANopen chains node with support for management services and diagnostics
